| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations | Variables
ManufacturerProprietary.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/ManufacturerProprietary.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`

## Enumerations
enum | FibaroVenetianBlindsValueIds { FibaroVenetianBlindsValueIds_Blinds = 0 , FibaroVenetianBlindsValueIds_Tilt = 1 }

## Variables
const uint8 | MANUFACTURER_ID_FIBARO [2] = { 0x01, 0x0f }
const uint8 | FIBARO_VENETIEN_BLINDS_REPORT_ID [3] = { 0x26, 0x03, 0x03 }
const uint8 | FIBARO_VENETIAN_BLINDS_GET_POSITION_TILT [5] = { 0x26, 0x02, 0x02, 0x00, 0x00 }
const uint8 | FIBARO_VENETIAN_BLINDS_SET_TILT [4] = { 0x26, 0x01, 0x01, 0x00 }
const uint8 | FIBARO_VENETIAN_BLINDS_SET_POSITION [3] = { 0x26, 0x01, 0x02 }

## Enumeration Type Documentation

## ◆ FibaroVenetianBlindsValueIds

enum FibaroVenetianBlindsValueIds

Enumerator
FibaroVenetianBlindsValueIds_Blinds |
FibaroVenetianBlindsValueIds_Tilt |

## Variable Documentation

## ◆ FIBARO_VENETIAN_BLINDS_GET_POSITION_TILT

const uint8 FIBARO_VENETIAN_BLINDS_GET_POSITION_TILT[5] = { 0x26, 0x02, 0x02, 0x00, 0x00 }

## ◆ FIBARO_VENETIAN_BLINDS_SET_POSITION

const uint8 FIBARO_VENETIAN_BLINDS_SET_POSITION[3] = { 0x26, 0x01, 0x02 }

## ◆ FIBARO_VENETIAN_BLINDS_SET_TILT

const uint8 FIBARO_VENETIAN_BLINDS_SET_TILT[4] = { 0x26, 0x01, 0x01, 0x00 }

## ◆ FIBARO_VENETIEN_BLINDS_REPORT_ID

const uint8 FIBARO_VENETIEN_BLINDS_REPORT_ID[3] = { 0x26, 0x03, 0x03 }

## ◆ MANUFACTURER_ID_FIBARO

const uint8 MANUFACTURER_ID_FIBARO[2] = { 0x01, 0x0f }